%def_without test
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Algorithm/Dependency.pm) perl(Algorithm/Dependency/Source/DBI.pm) perl(Algorithm/Dependency/Source/Invert.pm) perl(Algorithm/Dependency/Weight.pm) perl(CPAN.pm) perl(CPAN/Version.pm) perl(Config.pm) perl(Cwd.pm) perl(DateTime.pm) perl(ExtUtils/MM_Unix.pm) perl(ExtUtils/MakeMaker.pm) perl(ExtUtils/Manifest.pm) perl(File/Basename.pm) perl(File/Find.pm) perl(File/HomeDir.pm) perl(File/ShareDir.pm) perl(File/Spec.pm) perl(FileHandle.pm) perl(JSON.pm) perl(LWP/Simple.pm) perl(Module/Build.pm) perl(Net/FTP.pm) perl(ORDB/CPANTS.pm) perl(ORDB/CPANTesters.pm) perl(ORDB/CPANUploads.pm) perl(ORLite.pm) perl(ORLite/Migrate.pm) perl(ORLite/Migrate/Patch.pm) perl(ORLite/Mirror.pm) perl(Params/Util.pm) perl(Parse/CPAN/Meta.pm) perl(Socket.pm) perl(Test/More.pm) perl(Test/Script.pm) perl(YAML/Tiny.pm) perl(inc/Module/Install.pm) perl(inc/Module/Install/DSL.pm)
# END SourceDeps(oneline)
%define module_version 0.15
%define module_name CPANTS-Weight
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.15
Release: alt1
Summary: Graph based weights for CPAN Distributions
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/A/AD/ADAMK/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
`CPAN::Weight' is a module that consumes the CPANTS database, and
generates a variety of graph-based weighting values for the distributions,
producing a SQLite database of the weighting data, for use in higher-level
applications that work with the CPANTS data.

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %{?epoch:%epoch:}%version-%release

%description scripts
scripts for %module_name


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build INSTALLMAN1DIR=%_man1dir

%install
%perl_vendor_install

%files
%doc Changes LICENSE README
%perl_vendor_privlib/C*
%perl_vendor_privlib/auto/*
%files scripts
%_bindir/*

%changelog
* Mon Oct 21 2013 Igor Vlasenko <viy@altlinux.ru> 0.15-alt1
- initial import by package builder

